/**
 * Copyright 2015 CANAL+ Group
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
/**
 * Construct init segment for the given index.
 * @param {Object} index
 * @returns {Object}
 */
export default function getInitSegment(index) {
    var _a;
    var initialization = index.initialization;
    return { id: "init",
        isInit: true,
        time: 0,
        end: 0,
        duration: 0,
        timescale: 1,
        range: initialization != null ? initialization.range :
            undefined,
        indexRange: index.indexRange, mediaURLs: (_a = initialization === null || initialization === void 0 ? void 0 : initialization.mediaURLs) !== null && _a !== void 0 ? _a : null, timestampOffset: -(index.indexTimeOffset / index.timescale) };
}
