#!/usr/bin/env node
/* eslint-env node */

/**
 * Run the full demo server
 * =========================
 *
 * This script allows to build the full demo locally and start both an HTTP and
 * an HTTPS (only if a certificate and key have been generated) server to serve
 * it, on the port 8000 and 8443 respectively.
 *
 * You can run it as a script through `node run_full_demo.js`.
 * Be aware that this demo will be built again every time either one of the
 * full demo file or one of the library file is updated.
 */

const path = require("path");
const generateFullDemo = require("./generate_full_demo");
const launchStaticServer = require("./launch_static_server");

generateFullDemo({ watch: true });

launchStaticServer(path.join(__dirname, "../demo/full/"),
                   { certificatePath: path.join(__dirname, "../localhost.crt"),
                     keyPath: path.join(__dirname, "../localhost.key"),
                     httpPort: 8000,
                     httpsPort: 8443 });
